# ACHAR

- Title      : ACHAR - Auto Completion of Hosts Add/Remove script
- Version    : 0.1
- GIT Repo   : https://git.zaks.web.za/zaks-web/achar
- Author     : Ze'ev Schurmann
- Company    : ZAKS Web
- Website    : https://www.zaks.web.za/
- Reddit     : https://www.reddit.com/r/ZAKSWeb
- License    : GPL3 or Later
- Description: This tool allows for the management of bash auto completion of hostnames when using SSH or RSync in Bash.

## INSTALLATION

For most people it will be as simple as this...

````
$ curl https://git.zaks.web.za/zaks-web/achar/raw/branch/main/install | sudo bash
````

If you are already at root level...

````
# curl https://git.zaks.web.za/zaks-web/achar/raw/branch/main/install | bash
````

## USAGE

From the bash terminal, type:

````
$ achar {command} {hostname}
````

## COMMANDS

### add

Adds a host to your list of common hosts

````
$ achar add username@hostname.domainname.tld
$ achar add username@1.2.3.4
````

### disable

Disables auto completion of hostnames for current system user

````
$ achar disable
````

### enable

Enables auto completion of hostnames for current system user

````
$ achar enable
````

### help

Displays the help documentation

````
$ achar help
````

### list

List all existing hosts from your list of common hosts

````
$ achar list
````

You can use also filter for a specific hostname/username or part there of

````
$ achar list part-of-username
$ achar list part-of-hostname
````

### remove

Removes an existing host from your list of common hosts

````
$ achar remove username@hostname.domainname.tld
$ achar remove username@1.2.3.4
````

### update

Checks for an update to ACHAR and prompts you to install it

````
$ achar update
````
